Bug 340 - PANIC: failed to create UCS2 buffer
PANIC: failed to create UCS2 buffer
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0preX
All Windows XP
: P3 normal
: 3.0.0rc2
Assigned To: Jeremy Allison
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-22 15:44 UTC by Kenneth Edlund
Modified: 2005-11-14 09:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Edlund 2003-08-22 15:44:54 UTC
I got this problems with samba 3.0.0rc1 but not with samba 3.0.0beta3 .
when i use rc1 - it do not update the file list under the linux box -
it seems to be frozen from a filelist i have a couple a days ago.

Ken


[2003/08/22 19:49:55, 0] lib/util_sock.c:write_socket_data(388)
  write_socket_data: write failure. Error = Connection reset by peer
[2003/08/22 19:49:55, 0] lib/util_sock.c:write_socket(413)
  write_socket: Error writing 4 bytes to socket 7: ERRNO = Connection reset by peer
[2003/08/22 19:49:55, 0] lib/util_sock.c:send_smb(585)
  Error writing 4 bytes to client. -1. (Connection reset by peer)
[2003/08/22 19:49:55, 0] rpc_server/srv_pipe.c:api_pipe_netsec_process(1357)
  failed to decode PDU
[2003/08/22 19:49:55, 0] rpc_server/srv_pipe_hnd.c:process_request_pdu(605)
  process_request_pdu: failed to do schannel processing.
[2003/08/22 19:49:57, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service profiles initially as user kenta
(uid=1000, gid=100) (pid 3824)
[2003/08/22 19:50:09, 1] smbd/service.c:close_cnum(874)
  zpunk (192.168.1.249) closed connection to service profiles
[2003/08/22 19:50:09, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service netlogon initially as user kenta
(uid=1000, gid=100) (pid 3824)
[2003/08/22 19:50:10, 1] smbd/service.c:close_cnum(874)
  zpunk (192.168.1.249) closed connection to service netlogon
[2003/08/22 19:50:10, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service kenta initially as user kenta
(uid=1000, gid=100) (pid 3824)
[2003/08/22 19:50:12, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service netlogon initially as user kenta
(uid=1000, gid=100) (pid 3824)
[2003/08/22 19:50:12, 0] lib/charcnv.c:convert_string_allocate(272)
  Conversion error: Illegal multibyte sequence(r_akasse_kr)
[2003/08/22 19:50:12, 0] lib/util.c:smb_panic(1462)
  PANIC: failed to create UCS2 buffer
[2003/08/22 19:50:12, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 16 stack frames:
   #0 /usr/local/samba/bin/smbd(smb_panic+0x1ea) [0x81e9db1]
   #1 /usr/local/samba/bin/smbd(unix_strupper+0x2d) [0x81d3465]
   #2 /usr/local/samba/bin/smbd(strupper_m+0x74) [0x81e1e37]
   #3 /usr/local/samba/bin/smbd [0x80e25f7]
   #4 /usr/local/samba/bin/smbd [0x80e2f7a]
   #5 /usr/local/samba/bin/smbd(mangle_map+0x61) [0x80e0ccb]
   #6 /usr/local/samba/bin/smbd [0x80b1b11]
   #7 /usr/local/samba/bin/smbd [0x80b3aa5]
   #8 /usr/local/samba/bin/smbd(reply_trans2+0x965) [0x80bd78d]
   #9 /usr/local/samba/bin/smbd [0x80d6d9d]
   #10 /usr/local/samba/bin/smbd [0x80d6e73]
   #11 /usr/local/samba/bin/smbd(process_smb+0x217) [0x80d720c]
   #12 /usr/local/samba/bin/smbd(smbd_process+0x200) [0x80d7fbe]
   #13 /usr/local/samba/bin/smbd(main+0x850) [0x824f6aa]
   #14 /lib/libc.so.6(__libc_start_main+0xa4) [0x4008fbb4]
   #15 /usr/local/samba/bin/smbd(yp_get_default_domain+0x79) [0x80716b1]
[2003/08/22 19:50:12, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service netlogon initially as user kenta
(uid=1000, gid=100) (pid 3825)
[2003/08/22 19:50:13, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service kenta initially as user kenta
(uid=1000, gid=100) (pid 3825)
[2003/08/22 19:50:13, 0] lib/charcnv.c:convert_string_allocate(272)
  Conversion error: Illegal multibyte sequence(r_akasse_kr)
[2003/08/22 19:50:13, 0] lib/util.c:smb_panic(1462)
  PANIC: failed to create UCS2 buffer
[2003/08/22 19:50:13, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 16 stack frames:
   #0 /usr/local/samba/bin/smbd(smb_panic+0x1ea) [0x81e9db1]
   #1 /usr/local/samba/bin/smbd(unix_strupper+0x2d) [0x81d3465]
   #2 /usr/local/samba/bin/smbd(strupper_m+0x74) [0x81e1e37]
   #3 /usr/local/samba/bin/smbd [0x80e25f7]
   #4 /usr/local/samba/bin/smbd [0x80e2f7a]
   #5 /usr/local/samba/bin/smbd(mangle_map+0x61) [0x80e0ccb]
   #6 /usr/local/samba/bin/smbd [0x80b1b11]
   #7 /usr/local/samba/bin/smbd [0x80b3aa5]
   #8 /usr/local/samba/bin/smbd(reply_trans2+0x965) [0x80bd78d]
   #9 /usr/local/samba/bin/smbd [0x80d6d9d]
   #10 /usr/local/samba/bin/smbd [0x80d6e73]
   #11 /usr/local/samba/bin/smbd(process_smb+0x217) [0x80d720c]
   #12 /usr/local/samba/bin/smbd(smbd_process+0x200) [0x80d7fbe]
   #13 /usr/local/samba/bin/smbd(main+0x850) [0x824f6aa]
   #14 /lib/libc.so.6(__libc_start_main+0xa4) [0x4008fbb4]
   #15 /usr/local/samba/bin/smbd(yp_get_default_domain+0x79) [0x80716b1]
[2003/08/22 19:50:13, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service netlogon initially as user kenta
(uid=1000, gid=100) (pid 3826)
[2003/08/22 19:50:13, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service kenta initially as user kenta
(uid=1000, gid=100) (pid 3826)
[2003/08/22 19:50:14, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service program initially as user kenta
(uid=1000, gid=100) (pid 3826)
[2003/08/22 19:50:14, 0] lib/module.c:smb_load_module(40)
  Error loading module '/usr/local/samba/lib/rpc/ntsvcs.so':
/usr/local/samba/lib/rpc/ntsvcs.so: cannot open shared object file: No such file
or directory
[2003/08/22 19:50:17, 0] lib/charcnv.c:convert_string_allocate(272)
  Conversion error: Illegal multibyte sequence(r_akasse_kr)
[2003/08/22 19:50:17, 0] lib/util.c:smb_panic(1462)
  PANIC: failed to create UCS2 buffer
[2003/08/22 19:50:17, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 16 stack frames:
   #0 /usr/local/samba/bin/smbd(smb_panic+0x1ea) [0x81e9db1]
   #1 /usr/local/samba/bin/smbd(unix_strupper+0x2d) [0x81d3465]
   #2 /usr/local/samba/bin/smbd(strupper_m+0x74) [0x81e1e37]
   #3 /usr/local/samba/bin/smbd [0x80e25f7]
   #4 /usr/local/samba/bin/smbd [0x80e2f7a]
   #5 /usr/local/samba/bin/smbd(mangle_map+0x61) [0x80e0ccb]
   #6 /usr/local/samba/bin/smbd [0x80b1b11]
   #7 /usr/local/samba/bin/smbd [0x80b3aa5]
   #8 /usr/local/samba/bin/smbd(reply_trans2+0x965) [0x80bd78d]
   #9 /usr/local/samba/bin/smbd [0x80d6d9d]
   #10 /usr/local/samba/bin/smbd [0x80d6e73]
   #11 /usr/local/samba/bin/smbd(process_smb+0x217) [0x80d720c]
   #12 /usr/local/samba/bin/smbd(smbd_process+0x200) [0x80d7fbe]
   #13 /usr/local/samba/bin/smbd(main+0x850) [0x824f6aa]
   #14 /lib/libc.so.6(__libc_start_main+0xa4) [0x4008fbb4]
   #15 /usr/local/samba/bin/smbd(yp_get_default_domain+0x79) [0x80716b1]
[2003/08/22 19:50:17, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service kenta initially as user kenta
(uid=1000, gid=100) (pid 3828)
[2003/08/22 19:50:17, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service program initially as user kenta
(uid=1000, gid=100) (pid 3828)
[2003/08/22 19:50:17, 0] lib/charcnv.c:convert_string_allocate(272)
  Conversion error: Illegal multibyte sequence(r_akasse_kr)
[2003/08/22 19:50:17, 0] lib/util.c:smb_panic(1462)
  PANIC: failed to create UCS2 buffer
[2003/08/22 19:50:17, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 16 stack frames:
   #0 /usr/local/samba/bin/smbd(smb_panic+0x1ea) [0x81e9db1]
   #1 /usr/local/samba/bin/smbd(unix_strupper+0x2d) [0x81d3465]
   #2 /usr/local/samba/bin/smbd(strupper_m+0x74) [0x81e1e37]
   #3 /usr/local/samba/bin/smbd [0x80e25f7]
   #4 /usr/local/samba/bin/smbd [0x80e2f7a]
   #5 /usr/local/samba/bin/smbd(mangle_map+0x61) [0x80e0ccb]
   #6 /usr/local/samba/bin/smbd [0x80b1b11]
   #7 /usr/local/samba/bin/smbd [0x80b3aa5]
   #8 /usr/local/samba/bin/smbd(reply_trans2+0x965) [0x80bd78d]
   #9 /usr/local/samba/bin/smbd [0x80d6d9d]
   #10 /usr/local/samba/bin/smbd [0x80d6e73]
   #11 /usr/local/samba/bin/smbd(process_smb+0x217) [0x80d720c]
   #12 /usr/local/samba/bin/smbd(smbd_process+0x200) [0x80d7fbe]
   #13 /usr/local/samba/bin/smbd(main+0x850) [0x824f6aa]
   #14 /lib/libc.so.6(__libc_start_main+0xa4) [0x4008fbb4]
   #15 /usr/local/samba/bin/smbd(yp_get_default_domain+0x79) [0x80716b1]
[2003/08/22 19:50:17, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service netlogon initially as user kenta
(uid=1000, gid=100) (pid 3830)
[2003/08/22 19:50:17, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service program initially as user kenta
(uid=1000, gid=100) (pid 3830)
[2003/08/22 19:50:17, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service kenta initially as user kenta
(uid=1000, gid=100) (pid 3830)
[2003/08/22 19:50:17, 0] lib/charcnv.c:convert_string_allocate(272)
  Conversion error: Illegal multibyte sequence(r_akasse_kr)
[2003/08/22 19:50:17, 0] lib/util.c:smb_panic(1462)
  PANIC: failed to create UCS2 buffer
[2003/08/22 19:50:17, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 16 stack frames:
   #0 /usr/local/samba/bin/smbd(smb_panic+0x1ea) [0x81e9db1]
   #1 /usr/local/samba/bin/smbd(unix_strupper+0x2d) [0x81d3465]
   #2 /usr/local/samba/bin/smbd(strupper_m+0x74) [0x81e1e37]
   #3 /usr/local/samba/bin/smbd [0x80e25f7]
   #4 /usr/local/samba/bin/smbd [0x80e2f7a]
   #5 /usr/local/samba/bin/smbd(mangle_map+0x61) [0x80e0ccb]
   #6 /usr/local/samba/bin/smbd [0x80b1b11]
   #7 /usr/local/samba/bin/smbd [0x80b3aa5]
   #8 /usr/local/samba/bin/smbd(reply_trans2+0x965) [0x80bd78d]
   #9 /usr/local/samba/bin/smbd [0x80d6d9d]
   #10 /usr/local/samba/bin/smbd [0x80d6e73]
   #11 /usr/local/samba/bin/smbd(process_smb+0x217) [0x80d720c]
   #12 /usr/local/samba/bin/smbd(smbd_process+0x200) [0x80d7fbe]
   #13 /usr/local/samba/bin/smbd(main+0x850) [0x824f6aa]
   #14 /lib/libc.so.6(__libc_start_main+0xa4) [0x4008fbb4]
   #15 /usr/local/samba/bin/smbd(yp_get_default_domain+0x79) [0x80716b1]
[2003/08/22 19:50:17, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service kenta initially as user kenta
(uid=1000, gid=100) (pid 3831)
[2003/08/22 19:50:17, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service netlogon initially as user kenta
(uid=1000, gid=100) (pid 3831)
[2003/08/22 19:50:17, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service program initially as user kenta
(uid=1000, gid=100) (pid 3831)
[2003/08/22 19:50:17, 0] rpc_server/srv_util.c:get_domain_user_groups(362)
  get_domain_user_groups: primary gid of user [kenta] is not a Domain group !
  get_domain_user_groups: You should fix it, NT doesn't like that
[2003/08/22 19:50:18, 0] lib/charcnv.c:convert_string_allocate(272)
  Conversion error: Illegal multibyte sequence(r_akasse_kr)
[2003/08/22 19:50:18, 0] lib/util.c:smb_panic(1462)
  PANIC: failed to create UCS2 buffer
[2003/08/22 19:50:18, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 16 stack frames:
   #0 /usr/local/samba/bin/smbd(smb_panic+0x1ea) [0x81e9db1]
   #1 /usr/local/samba/bin/smbd(unix_strupper+0x2d) [0x81d3465]
   #2 /usr/local/samba/bin/smbd(strupper_m+0x74) [0x81e1e37]
   #3 /usr/local/samba/bin/smbd [0x80e25f7]
   #4 /usr/local/samba/bin/smbd [0x80e2f7a]
   #5 /usr/local/samba/bin/smbd(mangle_map+0x61) [0x80e0ccb]
   #6 /usr/local/samba/bin/smbd [0x80b1b11]
   #7 /usr/local/samba/bin/smbd [0x80b3aa5]
   #8 /usr/local/samba/bin/smbd(reply_trans2+0x965) [0x80bd78d]
   #9 /usr/local/samba/bin/smbd [0x80d6d9d]
   #10 /usr/local/samba/bin/smbd [0x80d6e73]
   #11 /usr/local/samba/bin/smbd(process_smb+0x217) [0x80d720c]
   #12 /usr/local/samba/bin/smbd(smbd_process+0x200) [0x80d7fbe]
   #13 /usr/local/samba/bin/smbd(main+0x850) [0x824f6aa]
   #14 /lib/libc.so.6(__libc_start_main+0xa4) [0x4008fbb4]
   #15 /usr/local/samba/bin/smbd(yp_get_default_domain+0x79) [0x80716b1]
[2003/08/22 19:50:18, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service netlogon initially as user kenta
(uid=1000, gid=100) (pid 3833)
[2003/08/22 19:50:18, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service kenta initially as user kenta
(uid=1000, gid=100) (pid 3833)
[2003/08/22 19:50:18, 0] lib/charcnv.c:convert_string_allocate(272)
  Conversion error: Illegal multibyte sequence(r_akasse_kr)
[2003/08/22 19:50:18, 0] lib/util.c:smb_panic(1462)
  PANIC: failed to create UCS2 buffer
[2003/08/22 19:50:18, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 16 stack frames:
   #0 /usr/local/samba/bin/smbd(smb_panic+0x1ea) [0x81e9db1]
   #1 /usr/local/samba/bin/smbd(unix_strupper+0x2d) [0x81d3465]
   #2 /usr/local/samba/bin/smbd(strupper_m+0x74) [0x81e1e37]
   #3 /usr/local/samba/bin/smbd [0x80e25f7]
   #4 /usr/local/samba/bin/smbd [0x80e2f7a]
   #5 /usr/local/samba/bin/smbd(mangle_map+0x61) [0x80e0ccb]
   #6 /usr/local/samba/bin/smbd [0x80b1b11]
   #7 /usr/local/samba/bin/smbd [0x80b3aa5]
   #8 /usr/local/samba/bin/smbd(reply_trans2+0x965) [0x80bd78d]
   #9 /usr/local/samba/bin/smbd [0x80d6d9d]
   #10 /usr/local/samba/bin/smbd [0x80d6e73]
   #11 /usr/local/samba/bin/smbd(process_smb+0x217) [0x80d720c]
   #12 /usr/local/samba/bin/smbd(smbd_process+0x200) [0x80d7fbe]
   #13 /usr/local/samba/bin/smbd(main+0x850) [0x824f6aa]
   #14 /lib/libc.so.6(__libc_start_main+0xa4) [0x4008fbb4]
   #15 /usr/local/samba/bin/smbd(yp_get_default_domain+0x79) [0x80716b1]
[2003/08/22 19:50:18, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service netlogon initially as user kenta
(uid=1000, gid=100) (pid 3835)
[2003/08/22 19:50:18, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service kenta initially as user kenta
(uid=1000, gid=100) (pid 3835)
[2003/08/22 19:50:18, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service gemensam initially as user kenta
(uid=1000, gid=100) (pid 3835)
[2003/08/22 19:50:20, 0] lib/charcnv.c:convert_string_allocate(272)
  Conversion error: Illegal multibyte sequence(r_akasse_kr)
[2003/08/22 19:50:20, 0] lib/util.c:smb_panic(1462)
  PANIC: failed to create UCS2 buffer
[2003/08/22 19:50:20, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 16 stack frames:
   #0 /usr/local/samba/bin/smbd(smb_panic+0x1ea) [0x81e9db1]
   #1 /usr/local/samba/bin/smbd(unix_strupper+0x2d) [0x81d3465]
   #2 /usr/local/samba/bin/smbd(strupper_m+0x74) [0x81e1e37]
   #3 /usr/local/samba/bin/smbd [0x80e25f7]
   #4 /usr/local/samba/bin/smbd [0x80e2f7a]
   #5 /usr/local/samba/bin/smbd(mangle_map+0x61) [0x80e0ccb]
   #6 /usr/local/samba/bin/smbd [0x80b1b11]
   #7 /usr/local/samba/bin/smbd [0x80b3aa5]
   #8 /usr/local/samba/bin/smbd(reply_trans2+0x965) [0x80bd78d]
   #9 /usr/local/samba/bin/smbd [0x80d6d9d]
   #10 /usr/local/samba/bin/smbd [0x80d6e73]
   #11 /usr/local/samba/bin/smbd(process_smb+0x217) [0x80d720c]
   #12 /usr/local/samba/bin/smbd(smbd_process+0x200) [0x80d7fbe]
   #13 /usr/local/samba/bin/smbd(main+0x850) [0x824f6aa]
   #14 /lib/libc.so.6(__libc_start_main+0xa4) [0x4008fbb4]
   #15 /usr/local/samba/bin/smbd(yp_get_default_domain+0x79) [0x80716b1]
[2003/08/22 19:50:20, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service netlogon initially as user kenta
(uid=1000, gid=100) (pid 3837)
[2003/08/22 19:50:20, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service kenta initially as user kenta
(uid=1000, gid=100) (pid 3837)
[2003/08/22 19:50:20, 0] lib/charcnv.c:convert_string_allocate(272)
  Conversion error: Illegal multibyte sequence(r_akasse_kr)
[2003/08/22 19:50:20, 0] lib/util.c:smb_panic(1462)
  PANIC: failed to create UCS2 buffer
[2003/08/22 19:50:20, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 16 stack frames:
   #0 /usr/local/samba/bin/smbd(smb_panic+0x1ea) [0x81e9db1]
   #1 /usr/local/samba/bin/smbd(unix_strupper+0x2d) [0x81d3465]
   #2 /usr/local/samba/bin/smbd(strupper_m+0x74) [0x81e1e37]
   #3 /usr/local/samba/bin/smbd [0x80e25f7]
   #4 /usr/local/samba/bin/smbd [0x80e2f7a]
   #5 /usr/local/samba/bin/smbd(mangle_map+0x61) [0x80e0ccb]
   #6 /usr/local/samba/bin/smbd [0x80b1b11]
   #7 /usr/local/samba/bin/smbd [0x80b3aa5]
   #8 /usr/local/samba/bin/smbd(reply_trans2+0x965) [0x80bd78d]
   #9 /usr/local/samba/bin/smbd [0x80d6d9d]
   #10 /usr/local/samba/bin/smbd [0x80d6e73]
   #11 /usr/local/samba/bin/smbd(process_smb+0x217) [0x80d720c]
   #12 /usr/local/samba/bin/smbd(smbd_process+0x200) [0x80d7fbe]
   #13 /usr/local/samba/bin/smbd(main+0x850) [0x824f6aa]
   #14 /lib/libc.so.6(__libc_start_main+0xa4) [0x4008fbb4]
   #15 /usr/local/samba/bin/smbd(yp_get_default_domain+0x79) [0x80716b1]
[2003/08/22 19:50:20, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service netlogon initially as user kenta
(uid=1000, gid=100) (pid 3839)
[2003/08/22 19:50:20, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service kenta initially as user kenta
(uid=1000, gid=100) (pid 3839)
[2003/08/22 19:50:20, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service program initially as user kenta
(uid=1000, gid=100) (pid 3839)
[2003/08/22 19:50:20, 1] smbd/service.c:close_cnum(874)
  zpunk (192.168.1.249) closed connection to service netlogon
[2003/08/22 19:50:25, 0] lib/charcnv.c:convert_string_allocate(272)
  Conversion error: Illegal multibyte sequence(r_akasse_kr.sxc)
[2003/08/22 19:50:28, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service gemensam initially as user kenta
(uid=1000, gid=100) (pid 3839)
[2003/08/22 19:50:32, 0] lib/charcnv.c:convert_string_allocate(272)
  Conversion error: Illegal multibyte sequence(r_akasse_kr)
[2003/08/22 19:50:32, 0] lib/util.c:smb_panic(1462)
  PANIC: failed to create UCS2 buffer
[2003/08/22 19:50:32, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 16 stack frames:
   #0 /usr/local/samba/bin/smbd(smb_panic+0x1ea) [0x81e9db1]
   #1 /usr/local/samba/bin/smbd(unix_strupper+0x2d) [0x81d3465]
   #2 /usr/local/samba/bin/smbd(strupper_m+0x74) [0x81e1e37]
   #3 /usr/local/samba/bin/smbd [0x80e25f7]
   #4 /usr/local/samba/bin/smbd [0x80e2f7a]
   #5 /usr/local/samba/bin/smbd(mangle_map+0x61) [0x80e0ccb]
   #6 /usr/local/samba/bin/smbd [0x80b2712]
   #7 /usr/local/samba/bin/smbd [0x80b4a09]
   #8 /usr/local/samba/bin/smbd(reply_trans2+0x9b0) [0x80bd7d8]
   #9 /usr/local/samba/bin/smbd [0x80d6d9d]
   #10 /usr/local/samba/bin/smbd [0x80d6e73]
   #11 /usr/local/samba/bin/smbd(process_smb+0x217) [0x80d720c]
   #12 /usr/local/samba/bin/smbd(smbd_process+0x200) [0x80d7fbe]
   #13 /usr/local/samba/bin/smbd(main+0x850) [0x824f6aa]
   #14 /lib/libc.so.6(__libc_start_main+0xa4) [0x4008fbb4]
   #15 /usr/local/samba/bin/smbd(yp_get_default_domain+0x79) [0x80716b1]
[2003/08/22 19:50:32, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service kenta initially as user kenta
(uid=1000, gid=100) (pid 3841)
[2003/08/22 19:50:34, 0] lib/charcnv.c:convert_string_allocate(272)
  Conversion error: Illegal multibyte sequence(r_akasse_kr)
[2003/08/22 19:50:34, 0] lib/util.c:smb_panic(1462)
  PANIC: failed to create UCS2 buffer
[2003/08/22 19:50:34, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 16 stack frames:
   #0 /usr/local/samba/bin/smbd(smb_panic+0x1ea) [0x81e9db1]
   #1 /usr/local/samba/bin/smbd(unix_strupper+0x2d) [0x81d3465]
   #2 /usr/local/samba/bin/smbd(strupper_m+0x74) [0x81e1e37]
   #3 /usr/local/samba/bin/smbd [0x80e25f7]
   #4 /usr/local/samba/bin/smbd [0x80e2f7a]
   #5 /usr/local/samba/bin/smbd(mangle_map+0x61) [0x80e0ccb]
   #6 /usr/local/samba/bin/smbd [0x80b2712]
   #7 /usr/local/samba/bin/smbd [0x80b4a09]
   #8 /usr/local/samba/bin/smbd(reply_trans2+0x9b0) [0x80bd7d8]
   #9 /usr/local/samba/bin/smbd [0x80d6d9d]
   #10 /usr/local/samba/bin/smbd [0x80d6e73]
   #11 /usr/local/samba/bin/smbd(process_smb+0x217) [0x80d720c]
   #12 /usr/local/samba/bin/smbd(smbd_process+0x200) [0x80d7fbe]
   #13 /usr/local/samba/bin/smbd(main+0x850) [0x824f6aa]
   #14 /lib/libc.so.6(__libc_start_main+0xa4) [0x4008fbb4]
   #15 /usr/local/samba/bin/smbd(yp_get_default_domain+0x79) [0x80716b1]
[2003/08/22 19:50:34, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service kenta initially as user kenta
(uid=1000, gid=100) (pid 3843)
[2003/08/22 19:50:35, 0] lib/charcnv.c:convert_string_allocate(272)
  Conversion error: Illegal multibyte sequence(r_akasse_kr)
[2003/08/22 19:50:35, 0] lib/util.c:smb_panic(1462)
  PANIC: failed to create UCS2 buffer
[2003/08/22 19:50:35, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 16 stack frames:
   #0 /usr/local/samba/bin/smbd(smb_panic+0x1ea) [0x81e9db1]
   #1 /usr/local/samba/bin/smbd(unix_strupper+0x2d) [0x81d3465]
   #2 /usr/local/samba/bin/smbd(strupper_m+0x74) [0x81e1e37]
   #3 /usr/local/samba/bin/smbd [0x80e25f7]
   #4 /usr/local/samba/bin/smbd [0x80e2f7a]
   #5 /usr/local/samba/bin/smbd(mangle_map+0x61) [0x80e0ccb]
   #6 /usr/local/samba/bin/smbd [0x80b2712]
   #7 /usr/local/samba/bin/smbd [0x80b4a09]
   #8 /usr/local/samba/bin/smbd(reply_trans2+0x9b0) [0x80bd7d8]
   #9 /usr/local/samba/bin/smbd [0x80d6d9d]
   #10 /usr/local/samba/bin/smbd [0x80d6e73]
   #11 /usr/local/samba/bin/smbd(process_smb+0x217) [0x80d720c]
   #12 /usr/local/samba/bin/smbd(smbd_process+0x200) [0x80d7fbe]
   #13 /usr/local/samba/bin/smbd(main+0x850) [0x824f6aa]
   #14 /lib/libc.so.6(__libc_start_main+0xa4) [0x4008fbb4]
   #15 /usr/local/samba/bin/smbd(yp_get_default_domain+0x79) [0x80716b1]
[2003/08/22 19:50:39, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service kenta initially as user kenta
(uid=1000, gid=100) (pid 3846)
[2003/08/22 19:50:39, 0] smbd/connection.c:register_message_flags(220)
  register_message_flags: tdb_fetch failed
[2003/08/22 19:50:39, 0] smbd/connection.c:register_message_flags(220)
  register_message_flags: tdb_fetch failed
[2003/08/22 19:50:39, 0] smbd/connection.c:register_message_flags(220)
  register_message_flags: tdb_fetch failed
[2003/08/22 19:50:44, 0] lib/charcnv.c:convert_string_allocate(272)
  Conversion error: Illegal multibyte sequence(r_akasse_kr)
[2003/08/22 19:50:44, 0] lib/util.c:smb_panic(1462)
  PANIC: failed to create UCS2 buffer
[2003/08/22 19:50:44, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 16 stack frames:
   #0 /usr/local/samba/bin/smbd(smb_panic+0x1ea) [0x81e9db1]
   #1 /usr/local/samba/bin/smbd(unix_strupper+0x2d) [0x81d3465]
   #2 /usr/local/samba/bin/smbd(strupper_m+0x74) [0x81e1e37]
   #3 /usr/local/samba/bin/smbd [0x80e25f7]
   #4 /usr/local/samba/bin/smbd [0x80e2f7a]
   #5 /usr/local/samba/bin/smbd(mangle_map+0x61) [0x80e0ccb]
   #6 /usr/local/samba/bin/smbd [0x80b2712]
   #7 /usr/local/samba/bin/smbd [0x80b4a09]
   #8 /usr/local/samba/bin/smbd(reply_trans2+0x9b0) [0x80bd7d8]
   #9 /usr/local/samba/bin/smbd [0x80d6d9d]
   #10 /usr/local/samba/bin/smbd [0x80d6e73]
   #11 /usr/local/samba/bin/smbd(process_smb+0x217) [0x80d720c]
   #12 /usr/local/samba/bin/smbd(smbd_process+0x200) [0x80d7fbe]
   #13 /usr/local/samba/bin/smbd(main+0x850) [0x824f6aa]
   #14 /lib/libc.so.6(__libc_start_main+0xa4) [0x4008fbb4]
   #15 /usr/local/samba/bin/smbd(yp_get_default_domain+0x79) [0x80716b1]
[2003/08/22 19:50:44, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service kenta initially as user kenta
(uid=1000, gid=100) (pid 3849)
[2003/08/22 19:50:47, 0] lib/charcnv.c:convert_string_allocate(272)
  Conversion error: Illegal multibyte sequence(r_akasse_kr)
[2003/08/22 19:50:47, 0] lib/util.c:smb_panic(1462)
  PANIC: failed to create UCS2 buffer
[2003/08/22 19:50:47, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 16 stack frames:
   #0 /usr/local/samba/bin/smbd(smb_panic+0x1ea) [0x81e9db1]
   #1 /usr/local/samba/bin/smbd(unix_strupper+0x2d) [0x81d3465]
   #2 /usr/local/samba/bin/smbd(strupper_m+0x74) [0x81e1e37]
   #3 /usr/local/samba/bin/smbd [0x80e25f7]
   #4 /usr/local/samba/bin/smbd [0x80e2f7a]
   #5 /usr/local/samba/bin/smbd(mangle_map+0x61) [0x80e0ccb]
   #6 /usr/local/samba/bin/smbd [0x80b2712]
   #7 /usr/local/samba/bin/smbd [0x80b4a09]
   #8 /usr/local/samba/bin/smbd(reply_trans2+0x9b0) [0x80bd7d8]
   #9 /usr/local/samba/bin/smbd [0x80d6d9d]
   #10 /usr/local/samba/bin/smbd [0x80d6e73]
   #11 /usr/local/samba/bin/smbd(process_smb+0x217) [0x80d720c]
   #12 /usr/local/samba/bin/smbd(smbd_process+0x200) [0x80d7fbe]
   #13 /usr/local/samba/bin/smbd(main+0x850) [0x824f6aa]
   #14 /lib/libc.so.6(__libc_start_main+0xa4) [0x4008fbb4]
   #15 /usr/local/samba/bin/smbd(yp_get_default_domain+0x79) [0x80716b1]
[2003/08/22 19:50:47, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service kenta initially as user kenta
(uid=1000, gid=100) (pid 3851)
[2003/08/22 19:50:50, 0] lib/charcnv.c:convert_string_allocate(272)
  Conversion error: Illegal multibyte sequence(r_akasse_kr)
[2003/08/22 19:50:50, 0] lib/util.c:smb_panic(1462)
  PANIC: failed to create UCS2 buffer
[2003/08/22 19:50:50, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 16 stack frames:
   #0 /usr/local/samba/bin/smbd(smb_panic+0x1ea) [0x81e9db1]
   #1 /usr/local/samba/bin/smbd(unix_strupper+0x2d) [0x81d3465]
   #2 /usr/local/samba/bin/smbd(strupper_m+0x74) [0x81e1e37]
   #3 /usr/local/samba/bin/smbd [0x80e25f7]
   #4 /usr/local/samba/bin/smbd [0x80e2f7a]
   #5 /usr/local/samba/bin/smbd(mangle_map+0x61) [0x80e0ccb]
   #6 /usr/local/samba/bin/smbd [0x80b2712]
   #7 /usr/local/samba/bin/smbd [0x80b4a09]
   #8 /usr/local/samba/bin/smbd(reply_trans2+0x9b0) [0x80bd7d8]
   #9 /usr/local/samba/bin/smbd [0x80d6d9d]
   #10 /usr/local/samba/bin/smbd [0x80d6e73]
   #11 /usr/local/samba/bin/smbd(process_smb+0x217) [0x80d720c]
   #12 /usr/local/samba/bin/smbd(smbd_process+0x200) [0x80d7fbe]
   #13 /usr/local/samba/bin/smbd(main+0x850) [0x824f6aa]
   #14 /lib/libc.so.6(__libc_start_main+0xa4) [0x4008fbb4]
   #15 /usr/local/samba/bin/smbd(yp_get_default_domain+0x79) [0x80716b1]
[2003/08/22 19:50:50, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service kenta initially as user kenta
(uid=1000, gid=100) (pid 3853)
[2003/08/22 19:50:52, 0] lib/charcnv.c:convert_string_allocate(272)
  Conversion error: Illegal multibyte sequence(r_akasse_kr)
[2003/08/22 19:50:52, 0] lib/util.c:smb_panic(1462)
  PANIC: failed to create UCS2 buffer
[2003/08/22 19:50:52, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 16 stack frames:
   #0 /usr/local/samba/bin/smbd(smb_panic+0x1ea) [0x81e9db1]
   #1 /usr/local/samba/bin/smbd(unix_strupper+0x2d) [0x81d3465]
   #2 /usr/local/samba/bin/smbd(strupper_m+0x74) [0x81e1e37]
   #3 /usr/local/samba/bin/smbd [0x80e25f7]
   #4 /usr/local/samba/bin/smbd [0x80e2f7a]
   #5 /usr/local/samba/bin/smbd(mangle_map+0x61) [0x80e0ccb]
   #6 /usr/local/samba/bin/smbd [0x80b2712]
   #7 /usr/local/samba/bin/smbd [0x80b4a09]
   #8 /usr/local/samba/bin/smbd(reply_trans2+0x9b0) [0x80bd7d8]
   #9 /usr/local/samba/bin/smbd [0x80d6d9d]
   #10 /usr/local/samba/bin/smbd [0x80d6e73]
   #11 /usr/local/samba/bin/smbd(process_smb+0x217) [0x80d720c]
   #12 /usr/local/samba/bin/smbd(smbd_process+0x200) [0x80d7fbe]
   #13 /usr/local/samba/bin/smbd(main+0x850) [0x824f6aa]
   #14 /lib/libc.so.6(__libc_start_main+0xa4) [0x4008fbb4]
   #15 /usr/local/samba/bin/smbd(yp_get_default_domain+0x79) [0x80716b1]
[2003/08/22 19:50:55, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service program initially as user kenta
(uid=1000, gid=100) (pid 3855)
[2003/08/22 19:50:59, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service kenta initially as user kenta
(uid=1000, gid=100) (pid 3855)
[2003/08/22 19:52:50, 0] lib/charcnv.c:convert_string_allocate(272)
  Conversion error: Illegal multibyte sequence(r_akasse_kr.sxc)
[2003/08/22 19:52:50, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service gemensam initially as user kenta
(uid=1000, gid=100) (pid 3855)
[2003/08/22 19:53:09, 0] lib/charcnv.c:convert_string_allocate(272)
  Conversion error: Illegal multibyte sequence(r_akasse_kr)
[2003/08/22 19:53:09, 0] lib/util.c:smb_panic(1462)
  PANIC: failed to create UCS2 buffer
[2003/08/22 19:53:09, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 16 stack frames:
   #0 /usr/local/samba/bin/smbd(smb_panic+0x1ea) [0x81e9db1]
   #1 /usr/local/samba/bin/smbd(unix_strupper+0x2d) [0x81d3465]
   #2 /usr/local/samba/bin/smbd(strupper_m+0x74) [0x81e1e37]
   #3 /usr/local/samba/bin/smbd [0x80e25f7]
   #4 /usr/local/samba/bin/smbd [0x80e2f7a]
   #5 /usr/local/samba/bin/smbd(mangle_map+0x61) [0x80e0ccb]
   #6 /usr/local/samba/bin/smbd [0x80b2712]
   #7 /usr/local/samba/bin/smbd [0x80b4a09]
   #8 /usr/local/samba/bin/smbd(reply_trans2+0x9b0) [0x80bd7d8]
   #9 /usr/local/samba/bin/smbd [0x80d6d9d]
   #10 /usr/local/samba/bin/smbd [0x80d6e73]
   #11 /usr/local/samba/bin/smbd(process_smb+0x217) [0x80d720c]
   #12 /usr/local/samba/bin/smbd(smbd_process+0x200) [0x80d7fbe]
   #13 /usr/local/samba/bin/smbd(main+0x850) [0x824f6aa]
   #14 /lib/libc.so.6(__libc_start_main+0xa4) [0x4008fbb4]
   #15 /usr/local/samba/bin/smbd(yp_get_default_domain+0x79) [0x80716b1]
[2003/08/22 19:53:09, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service kenta initially as user kenta
(uid=1000, gid=100) (pid 3896)
[2003/08/22 19:53:11, 0] lib/charcnv.c:convert_string_allocate(272)
  Conversion error: Illegal multibyte sequence(r_akasse_kr)
[2003/08/22 19:53:11, 0] lib/util.c:smb_panic(1462)
  PANIC: failed to create UCS2 buffer
[2003/08/22 19:53:11, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 16 stack frames:
   #0 /usr/local/samba/bin/smbd(smb_panic+0x1ea) [0x81e9db1]
   #1 /usr/local/samba/bin/smbd(unix_strupper+0x2d) [0x81d3465]
   #2 /usr/local/samba/bin/smbd(strupper_m+0x74) [0x81e1e37]
   #3 /usr/local/samba/bin/smbd [0x80e25f7]
   #4 /usr/local/samba/bin/smbd [0x80e2f7a]
   #5 /usr/local/samba/bin/smbd(mangle_map+0x61) [0x80e0ccb]
   #6 /usr/local/samba/bin/smbd [0x80b2712]
   #7 /usr/local/samba/bin/smbd [0x80b4a09]
   #8 /usr/local/samba/bin/smbd(reply_trans2+0x9b0) [0x80bd7d8]
   #9 /usr/local/samba/bin/smbd [0x80d6d9d]
   #10 /usr/local/samba/bin/smbd [0x80d6e73]
   #11 /usr/local/samba/bin/smbd(process_smb+0x217) [0x80d720c]
   #12 /usr/local/samba/bin/smbd(smbd_process+0x200) [0x80d7fbe]
   #13 /usr/local/samba/bin/smbd(main+0x850) [0x824f6aa]
   #14 /lib/libc.so.6(__libc_start_main+0xa4) [0x4008fbb4]
   #15 /usr/local/samba/bin/smbd(yp_get_default_domain+0x79) [0x80716b1]
[2003/08/22 19:53:11, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service kenta initially as user kenta
(uid=1000, gid=100) (pid 3897)
[2003/08/22 19:53:11, 0] lib/charcnv.c:convert_string_allocate(272)
  Conversion error: Illegal multibyte sequence(r_akasse_kr)
[2003/08/22 19:53:11, 0] lib/util.c:smb_panic(1462)
  PANIC: failed to create UCS2 buffer
[2003/08/22 19:53:11, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 16 stack frames:
   #0 /usr/local/samba/bin/smbd(smb_panic+0x1ea) [0x81e9db1]
   #1 /usr/local/samba/bin/smbd(unix_strupper+0x2d) [0x81d3465]
   #2 /usr/local/samba/bin/smbd(strupper_m+0x74) [0x81e1e37]
   #3 /usr/local/samba/bin/smbd [0x80e25f7]
   #4 /usr/local/samba/bin/smbd [0x80e2f7a]
   #5 /usr/local/samba/bin/smbd(mangle_map+0x61) [0x80e0ccb]
   #6 /usr/local/samba/bin/smbd [0x80b2712]
   #7 /usr/local/samba/bin/smbd [0x80b4a09]
   #8 /usr/local/samba/bin/smbd(reply_trans2+0x9b0) [0x80bd7d8]
   #9 /usr/local/samba/bin/smbd [0x80d6d9d]
   #10 /usr/local/samba/bin/smbd [0x80d6e73]
   #11 /usr/local/samba/bin/smbd(process_smb+0x217) [0x80d720c]
   #12 /usr/local/samba/bin/smbd(smbd_process+0x200) [0x80d7fbe]
   #13 /usr/local/samba/bin/smbd(main+0x850) [0x824f6aa]
   #14 /lib/libc.so.6(__libc_start_main+0xa4) [0x4008fbb4]
   #15 /usr/local/samba/bin/smbd(yp_get_default_domain+0x79) [0x80716b1]
[2003/08/22 19:53:11, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service kenta initially as user kenta
(uid=1000, gid=100) (pid 3899)
[2003/08/22 19:53:12, 0] lib/charcnv.c:convert_string_allocate(272)
  Conversion error: Illegal multibyte sequence(r_akasse_kr)
[2003/08/22 19:53:12, 0] lib/util.c:smb_panic(1462)
  PANIC: failed to create UCS2 buffer
[2003/08/22 19:53:12, 0] lib/util.c:smb_panic(1469)
  BACKTRACE: 16 stack frames:
   #0 /usr/local/samba/bin/smbd(smb_panic+0x1ea) [0x81e9db1]
   #1 /usr/local/samba/bin/smbd(unix_strupper+0x2d) [0x81d3465]
   #2 /usr/local/samba/bin/smbd(strupper_m+0x74) [0x81e1e37]
   #3 /usr/local/samba/bin/smbd [0x80e25f7]
   #4 /usr/local/samba/bin/smbd [0x80e2f7a]
   #5 /usr/local/samba/bin/smbd(mangle_map+0x61) [0x80e0ccb]
   #6 /usr/local/samba/bin/smbd [0x80b2712]
   #7 /usr/local/samba/bin/smbd [0x80b4a09]
   #8 /usr/local/samba/bin/smbd(reply_trans2+0x9b0) [0x80bd7d8]
   #9 /usr/local/samba/bin/smbd [0x80d6d9d]
   #10 /usr/local/samba/bin/smbd [0x80d6e73]
   #11 /usr/local/samba/bin/smbd(process_smb+0x217) [0x80d720c]
   #12 /usr/local/samba/bin/smbd(smbd_process+0x200) [0x80d7fbe]
   #13 /usr/local/samba/bin/smbd(main+0x850) [0x824f6aa]
   #14 /lib/libc.so.6(__libc_start_main+0xa4) [0x4008fbb4]
   #15 /usr/local/samba/bin/smbd(yp_get_default_domain+0x79) [0x80716b1]
[2003/08/22 19:53:20, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service program initially as user kenta
(uid=1000, gid=100) (pid 3901)
[2003/08/22 19:53:24, 1] smbd/service.c:make_connection_snum(692)
  zpunk (192.168.1.249) connect to service kenta initially as user kenta
(uid=1000, gid=100) (pid 3901)
Comment 1 Gerald (Jerry) Carter 2003-08-25 09:23:33 UTC
Please retest latest SAMBA_3_0 cvs code.  There have been some 
changes to address this bug.
Comment 2 Gerald (Jerry) Carter 2003-08-27 13:08:15 UTC
should be fixed in latest SAMBA_3_0 cvs (soon to be released as RC2).
Comment 3 Gerald (Jerry) Carter 2005-02-07 09:05:53 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:27:02 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 5 Gerald (Jerry) Carter 2005-11-14 09:30:44 UTC
database cleanup